> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update connector

> Update a connector



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /connection/connectors/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /connection/connectors/{uuid}:
    put:
      tags:
        - Connection - Connectors
      summary: Update connector
      description: Update a connector
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Connector identifier.
          required: true
          description: Connector identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  title: Name
                  description: Connector name.
                isDefault:
                  title: Is default
                  description: >-
                    Whether this connector is the default for its integration.
                    Setting it to true clears the previous default.
                  type: boolean
                config:
                  title: Config
                  description: Connector configuration.
                  anyOf:
                    - type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    - type: 'null'
                rateLimit:
                  title: Rate limit
                  description: Rate limit configuration.
                  anyOf:
                    - type: object
                      properties:
                        unit:
                          type: string
                          enum:
                            - day
                            - hour
                            - minute
                            - second
                          title: Unit
                          description: Rate limit time unit.
                        max:
                          type: number
                          title: Max
                          description: Maximum requests per unit.
                        strategy:
                          type: string
                          enum:
                            - spread
                            - burst
                          title: Strategy
                          description: >-
                            Rate limit strategy: spread requests evenly or allow
                            burst then wait.
                      required:
                        - unit
                        - max
                        - strategy
                    - type: 'null'
                cacheTtlMilliseconds:
                  title: Cache TTL milliseconds
                  description: Cache time-to-live in milliseconds.
                  anyOf:
                    - type: number
                    - type: 'null'
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  connector:
                    allOf:
                      - type: object
                        properties:
                          uuid:
                            type: string
                          workspaceUuid:
                            type: string
                          userUuid:
                            type: string
                          name:
                            type: string
                          slug:
                            type: string
                          rateLimit:
                            anyOf:
                              - type: object
                                properties:
                                  unit:
                                    type: string
                                    enum:
                                      - day
                                      - hour
                                      - minute
                                      - second
                                  max:
                                    type: number
                                required:
                                  - unit
                                  - max
                                additionalProperties: false
                              - type: 'null'
                          cacheTtlMilliseconds:
                            anyOf:
                              - type: number
                              - type: 'null'
                          integrationSlug:
                            type: string
                          isDefault:
                            type: boolean
                          playsCount:
                            type: number
                          toolsCount:
                            type: number
                          modelsCount:
                            type: number
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          deletedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - uuid
                          - workspaceUuid
                          - userUuid
                          - name
                          - slug
                          - rateLimit
                          - cacheTtlMilliseconds
                          - integrationSlug
                          - isDefault
                          - playsCount
                          - toolsCount
                          - modelsCount
                          - createdAt
                          - updatedAt
                          - deletedAt
                        additionalProperties: false
                      - anyOf:
                          - type: object
                            properties:
                              useCredits:
                                type: boolean
                                const: true
                              config:
                                type: 'null'
                            required:
                              - useCredits
                              - config
                            additionalProperties: false
                          - type: object
                            properties:
                              useCredits:
                                type: boolean
                                const: false
                              config:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                            required:
                              - useCredits
                              - config
                            additionalProperties: false
                    title: Connector
                    description: Updated connector details.
                required:
                  - connector
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````